Class Index | File Index

## Classes

- _global_
- jQuery.fn.minplayer
- minplayer.async
- minplayer.compatibility
- minplayer.display
- minplayer.file
- minplayer.flags
- minplayer.image
- minplayer.players.base
- minplayer.players.flash
- minplayer.players.html5
- minplayer.players.minplayer
- minplayer.players.vimeo
- minplayer.players.youtube
- minplayer.plugin

# Class minplayer.players.flash

Extends minplayer.display.
The Flash media player class to control the flash fallback.
Defined in: minplayer.players.flash.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| minplayer.players.flash(context, options, queue)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| constructor Reset the constructor.

Fields borrowed from class minplayer.display:
  onResize
Fields borrowed from class minplayer.plugin:
  active, context, lock, name, options, pluginReady, queue, triggered

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | minplayer.players.flash.canPlay(file)
| construct()
| getFlash(params) API to return the Flash player code provided params.
<static> | minplayer.players.flash.getPriority(file)
| playerFound()

Methods borrowed from class minplayer.display:
  fullscreen, fullScreenElement, getDisplay, getElements, getScaledRect, hide, isFullScreen, onFocus, toggleFullScreen
Methods borrowed from class minplayer.plugin:
  addPlugin, bind, checkQueue, create, destroy, get, isValid, poll, ready, trigger, unbind

Class Detail
minplayer.players.flash(context, options, queue)

Parameters:
{object} context
  The jQuery context.
{object} options
  This components options.
{object} queue
  The event queue to pass events around.

Field Detail
constructor
Reset the constructor.
Method Detail
<static> {boolean} minplayer.players.flash.canPlay(file)

Parameters:
file

Returns:
  {boolean} If this player can play this media type.

See:
  minplayer.players.base#canPlay

construct()

See:
  minplayer.plugin.construct

{object} getFlash(params)
API to return the Flash player code provided params.

Parameters:
{object} params
  The params used to populate the Flash code.

Returns:
  {object} A Flash DOM element.

<static> {number} minplayer.players.flash.getPriority(file)

Parameters:
{object} file
  A minplayer.file object.

Returns:
  {number} The priority of this media player.

See:
  minplayer.players.base#getPriority

{boolean} playerFound()

Returns:
  {boolean} TRUE - if the player is in the DOM, FALSE otherwise.

See:
  minplayer.players.base#playerFound

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 04 2012 19:54:20 GMT-0700 (PDT)